"use strict";
const common_vendor = require("../../../common/vendor.js");
const ME_announcement_show_model = require("./model.js");
const ME_announcement_show_method = require("./method.js");
const common_libraries_day = require("../../../common/libraries/day.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../gen/Apis.js");
require("../../../common/store/useWatermarkStore.js");
require("../../../common/store/useWorkStore.js");
require("../../../common/libraries/apiLoading.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad((e) => {
      ME_announcement_show_method.method.getShow(e == null ? void 0 : e.id);
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o;
      return common_vendor.e({
        a: common_vendor.t(((_c = (_b = (_a = common_vendor.unref(ME_announcement_show_model.useModel)) == null ? void 0 : _a.showData) == null ? void 0 : _b.value) == null ? void 0 : _c.title) || "无标题"),
        b: (_f = (_e = (_d = common_vendor.unref(ME_announcement_show_model.useModel)) == null ? void 0 : _d.showData) == null ? void 0 : _e.value) == null ? void 0 : _f.publish_at
      }, ((_i = (_h = (_g = common_vendor.unref(ME_announcement_show_model.useModel)) == null ? void 0 : _g.showData) == null ? void 0 : _h.value) == null ? void 0 : _i.publish_at) ? {
        c: common_vendor.t(common_vendor.unref(common_libraries_day.showDay)(((_l = (_k = (_j = common_vendor.unref(ME_announcement_show_model.useModel)) == null ? void 0 : _j.showData) == null ? void 0 : _k.value) == null ? void 0 : _l.publish_at) || ""))
      } : {}, {
        d: (_o = (_n = (_m = common_vendor.unref(ME_announcement_show_model.useModel)) == null ? void 0 : _m.showData) == null ? void 0 : _n.value) == null ? void 0 : _o.content
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/ME/announcement/show/index.vue"]]);
wx.createPage(MiniProgramPage);
